---
layout: docs
page_title: 'Commands: alloc stop'
description: |
  Stop and reschedule a running allocation
---

# Command: alloc stop

The `alloc stop` command allows a user to perform an in-place restart of an
entire allocation or individual task.

## Usage

```plaintext
nomad alloc stop [options] <allocation>
```

The `alloc stop` command requires a single argument, specifying the alloc ID or
prefix to stop. If there is an exact match based on the provided alloc ID or
prefix, then the alloc will be stopped and rescheduled. Otherwise, a list of
matching allocs and information will be displayed.

Stop will issue a request to stop and reschedule the allocation. An interactive
monitoring session will display log lines as the allocation completes shutting
down. It is safe to exit the monitor early with ctrl-c.

When ACLs are enabled, this command requires a token with the
`alloc-lifecycle`, `read-job`, and `list-jobs` capabilities for the
allocation's namespace.

## General Options

@include 'general_options.mdx'

## Stop Options

- `-detach`: Return immediately instead of entering monitor mode. After the
  stop command is submitted, a new evaluation ID is printed to the
  screen, which can be used to examine the rescheduling evaluation using the
  [eval status] command.

- `-verbose`: Display verbose output.

- `-no-shutdown-delay`
  Ignore the group and task [`shutdown_delay`] configuration so that
  there is no delay between service deregistration and task
  shutdown. Note that using this flag will result in failed network
  connections to the allocation being stopped.

## Examples

```shell-session
$ nomad alloc stop c1488bb5
==> Monitoring evaluation "26172081"
    Evaluation triggered by job "example"
    Allocation "4dcb1c98" created: node "b4dc52b9", group "cache"
    Evaluation within deployment: "c0c594d0"
    Evaluation status changed: "pending" -> "complete"
==> Evaluation "26172081" finished with status "complete"

$ nomad alloc stop -detach eb17e557
8a91f0f3-9d6b-ac83-479a-5aa186ab7795
```

[eval status]: /nomad/docs/commands/eval/status
[`shutdown_delay`]: /nomad/docs/job-specification/group#shutdown_delay
